Bug 266092 - Let mail/claws-mail-plugins get PORTVERSION from mail/claws-mail
Summary: Let mail/claws-mail-plugins get PORTVERSION from mail/claws-mail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-29 06:03 UTC by bsd
Modified: 2022-10-06 07:51 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
Introduce mail/claws-mail/Makefile.ver (2.94 KB, patch)
2022-08-29 06:03 UTC, bsd
no flags Details | Diff
Patch to introduce mail/claws-mail/Makefile.ver renewed after moving WWW from pkg-descr to Makefile (2.99 KB, patch)
2022-09-14 09:01 UTC, bsd
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2022-08-29 06:03:22 UTC
Created attachment 236195 [details]
Introduce mail/claws-mail/Makefile.ver

There is PORTVERSION defined directly in mail/claws-mail-plugins/Makefile at present. Create mail/claws-mail/Makefile.ver to hold this information and use it in both mail/claws-mail-plugins/Makefile and mail/claws-mail/Makefile.claws files. Technically, it is a no change for now, but it makes easier to create new options for both GTK2 and GTK3 (new one) version of Claws Mail and act accordingly in all Claws Mail plugin ports.
Comment 1 bsd 2022-09-14 09:01:00 UTC
Created attachment 236549 [details]
Patch to introduce mail/claws-mail/Makefile.ver renewed after moving WWW from pkg-descr to Makefile

There was recent change to Makefile's in many/most/all ports, so original patch may not apply correctly or at all, thus new version generated against actual port tree.
Comment 2 Chris Hutchinson 2022-10-04 18:48:54 UTC
Comment on attachment 236549 [details]
Patch to introduce mail/claws-mail/Makefile.ver renewed after moving WWW from pkg-descr to Makefile

LGTM Thanks! :-)
Comment 3 commit-hook freebsd_committer 2022-10-06 07:49:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2b8ba28871e728343bea7769ca373aed4e882ef1

commit 2b8ba28871e728343bea7769ca373aed4e882ef1
Author:     Milan Obuch <bsd@dino.sk>
AuthorDate: 2022-10-06 07:45:00 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2022-10-06 07:47:22 +0000

    mail/claws: Rework claws-mail-plugins

    Let mail/claws-mail-plugins get PORTVERSION from mail/claws-mail.

    There is PORTVERSION defined directly in
    mail/claws-mail-plugins/Makefile at present. Create
    mail/claws-mail/Makefile.ver to hold this information and use it in both
    mail/claws-mail-plugins/Makefile and mail/claws-mail/Makefile.claws
    files.

    Technically, it is a no change for now, but it makes easier to create
    new options for both GTK2 and GTK3 (new one) version of Claws Mail and
    act accordingly in all Claws Mail plugin ports.

    Approved by:    Chris Hutchinson (maintainer)
    PR:             266092

 mail/claws-mail-plugins/Makefile   | 4 ++--
 mail/claws-mail/Makefile.claws     | 6 +++---
 mail/claws-mail/Makefile.ver (new) | 1 +
 3 files changed, 6 insertions(+), 5 deletions(-)
Comment 4 Juraj Lutter freebsd_committer 2022-10-06 07:51:45 UTC
Committed, thanks.